# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'CV'
        db.create_table(u'cv_cv', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('first_name', self.gf('django.db.models.fields.CharField')(max_length=40)),
            ('last_name', self.gf('django.db.models.fields.CharField')(max_length=40)),
            ('email', self.gf('django.db.models.fields.EmailField')(max_length=75)),
        ))
        db.send_create_signal(u'cv', ['CV'])

        # Adding model 'Experience'
        db.create_table(u'cv_experience', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('cv', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['cv.CV'])),
            ('from_date', self.gf('django.db.models.fields.DateField')()),
            ('till_date', self.gf('django.db.models.fields.DateField')(null=True, blank=True)),
            ('company', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('position', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('skills', self.gf('django.db.models.fields.TextField')(blank=True)),
        ))
        db.send_create_signal(u'cv', ['Experience'])


    def backwards(self, orm):
        # Deleting model 'CV'
        db.delete_table(u'cv_cv')

        # Deleting model 'Experience'
        db.delete_table(u'cv_experience')


    models = {
        u'cv.cv': {
            'Meta': {'object_name': 'CV'},
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '40'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '40'})
        },
        u'cv.experience': {
            'Meta': {'object_name': 'Experience'},
            'company': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'cv': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['cv.CV']"}),
            'from_date': ('django.db.models.fields.DateField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'position': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'skills': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'till_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'})
        }
    }

    complete_apps = ['cv']